Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.br
Class BrazilianAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.br.BrazilianAnalyzer

    public final class BrazilianAnalyzer

extends Analyzer

Analyzer for Brazilian language. Supports an external list of stopwords (words that will not be indexed at all) and an external list of exclusions (word that will not be stemmed, but indexed).

Author:
  João Kramer

Field Summary
`static String[]` | `BRAZILIAN_STOP_WORDS` List of typical Brazilian stopwords.

Constructor Summary
`BrazilianAnalyzer()` Builds an analyzer with the default stop words (`BRAZILIAN_STOP_WORDS`).
`BrazilianAnalyzer(File stopwords)` Builds an analyzer with the given stop words.
`BrazilianAnalyzer(Hashtable stopwords)` Builds an analyzer with the given stop words.
`BrazilianAnalyzer(String[] stopwords)` Builds an analyzer with the given stop words.

Method Summary
`void` | `setStemExclusionTable(File exclusionlist)` Builds an exclusionlist from the words contained in the given file.
`void` | `setStemExclusionTable(Hashtable exclusionlist)` Builds an exclusionlist from a Hashtable.
`void` | `setStemExclusionTable(String[] exclusionlist)` Builds an exclusionlist from an array of Strings.
`TokenStream` | `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BRAZILIAN_STOP_WORDS

    public static final String[] BRAZILIAN_STOP_WORDS

  List of typical Brazilian stopwords.

Constructor Detail

### BrazilianAnalyzer

    public BrazilianAnalyzer()

  Builds an analyzer with the default stop words (`BRAZILIAN_STOP_WORDS`).

### BrazilianAnalyzer

    public BrazilianAnalyzer(String[] stopwords)

  Builds an analyzer with the given stop words.

### BrazilianAnalyzer

    public BrazilianAnalyzer(Hashtable stopwords)

  Builds an analyzer with the given stop words.

### BrazilianAnalyzer

    public BrazilianAnalyzer(File stopwords)
                      throws IOException

  Builds an analyzer with the given stop words.

  Throws:
    `IOException`

Method Detail

### setStemExclusionTable

    public void setStemExclusionTable(String[] exclusionlist)

  Builds an exclusionlist from an array of Strings.

### setStemExclusionTable

    public void setStemExclusionTable(Hashtable exclusionlist)

  Builds an exclusionlist from a Hashtable.

### setStemExclusionTable

    public void setStemExclusionTable(File exclusionlist)
                               throws IOException

  Builds an exclusionlist from the words contained in the given file.

  Throws:
    `IOException`

### tokenStream

    public final TokenStream tokenStream(String fieldName,
                                         Reader reader)

  Creates a TokenStream which tokenizes all the text in the provided Reader.

  Specified by:
    `tokenStream` in class `Analyzer`
  Returns:
    A TokenStream build from a StandardTokenizer filtered with StandardFilter, StopFilter, GermanStemFilter and LowerCaseFilter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.